Post
/pm-rest-api/jersey/v1/assign-to-project/partner
Assign Partner to Project
This endpoint allows the user to assign a partner to a project.
Request Body
projectOraseq(text): The unique identifier of the project to which the partner is being assigned.partnerDetails(text): An array containing details of the partner being assigned, including:partnerCode(text): The code representing the partner.partnerTypeCode(text): The type code of the partner.partnerAbbrevCode(text): The abbreviated code for the partner.
Response
The response is in JSON format and provides details of the assigned partner. Below is a JSON schema representing the response:
{
"ABSCONT": {
"PmppPartnCode": "",
"PmppPartntypeCode": "",
"PmppPartnName": "",
"PmppProjOraseq": 0,
"PmppAbbrevPartnCode": "",
"PmppAdd1": "",
"PmppAdd2": "",
"PmppAdd3": "",
"PmppCountry": "",
"PmppVUuid": ""
}
}
Security
HTTP
Type basic
Basic authentication
Body parameters
object
Example{
"projectOraseq": "12987043",
"partnerDetails": [
{
"partnerCode": "ABSCONT",
"partnerTypeCode": "P",
"partnerAbbrevCode": "ABSCONT"
}
]
}
Responses
200
Successful response